Skip to main content
`Ctrl`+`K`

# MatMPIBAIJSetValuesBlocked

Direct Fortran call to replace call to `MatSetValuesBlocked()`

## Synopsis

    #include "petscmat.h"
    PETSC_EXTERN PetscErrorCode matmpibaijsetvaluesblocked_(Mat *matin, PetscInt *min, const PetscInt im[], PetscInt *nin, const PetscInt in[], const MatScalar v[], InsertMode *addvin)

Collective

## Input Parameters

- matin - the matrix

- min - number of input rows

- im - input rows

- nin - number of input columns

- in - input columns

- v - numerical values input

- addvin - `INSERT_VALUES` or `ADD_VALUES`

## Developer Notes

This has a complete copy of `MatSetValuesBlocked_MPIBAIJ()` which is terrible code un-reuse.

## See Also

`Mat`, `MatSetValuesBlocked()`

## Level

advanced

## Location

src/mat/impls/baij/mpi/mpibaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages